pyproject-fmt(1)

NAME
pyproject-fmt - Reformat the given 'pyproject.toml' file

USAGE
pyproject-fmt [OPTIONS] [PROJECT]

DESCRIPTION
pyproject-fmt is designed to reformat the provided 'pyproject.toml' file file via the command line.

OPTIONS

-E, --encoder-class TEXT
    The class to encode the config to TOML with. [default: pyproject_parser:PyProjectTomlEncoder]

-d, --show-diff
    Show a (coloured) diff of changes.

--colour / --no-colour
    Whether to use coloured output.

-P, --parser-class TEXT
    The class to parse the 'pyproject.toml' file with. [default: pyproject_parser:PyProject]

-T, --traceback
    Show the complete traceback on error.

-h, --help
    Show the help message and exit.

AUTHORS
Written by Dominic Davis-Foste <dominic@davis-foster.co.uk>

This manual page was written by Josenison F. da Silva <nilsonfsilva@hotmail.com>